# Interface InitializableCollection<TProps, T>

A collection of initializable items.

interface InitializableCollection<TProps, T> {
initializedItems: ReadOnlyCollection<T>;
}

#### Type Parameters

- TProps extends InitializableBaseProperties
- T extends InitializableBase<TProps>

#### Hierarchy (view full)

- default<T>
  - InitializableCollection
    - PopupContentExtensionCollection
    - FieldExtensionCollection
    - ArcGISSublayerExtensionCollection
    - BuildingSublayerExtensionCollection
    - KMLSublayerExtensionCollection
    - TableExtensionCollection
    - MapNotesSublayerExtensionCollection
    - SubtypeSublayerExtensionCollection
    - WMSSublayerExtensionCollection
    - LayerExtensionCollection
    - SublayerExtensionCollection

#### Implemented by

- InitializableCollectionProxy

#####
Index

### Properties

initializedItems

##
Properties

### initializedItems

initializedItems: ReadOnlyCollection<T>

Returns a collection of the initialized items.